### Enumeration

# FwupdPlugin DeviceInstanceFlags

#### Declaration

    flags FwupdPlugin.DeviceInstanceFlags

#### Description

No description available.

#### Members

`FU_DEVICE_INSTANCE_FLAG_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_DEVICE_INSTANCE_FLAG_VISIBLE`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_DEVICE_INSTANCE_FLAG_QUIRKS`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_DEVICE_INSTANCE_FLAG_GENERIC`

  Added by a baseclass.

  - Value: `4`
  - Available since: 1.0
`FU_DEVICE_INSTANCE_FLAG_COUNTERPART`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_DEVICE_INSTANCE_FLAG_DEPRECATED`

  No description available.

  - Value: `16`
  - Available since: 1.0